### Method

# GtkSource FileSaver save_finish

#### Declaration [src]

    gboolean
    gtk_source_file_saver_save_finish (
      GtkSourceFileSaver* saver,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes a file saving started with `gtk_source_file_saver_save_async()`.

If the file has been saved successfully, the following `GtkSourceFile` properties will be updated: the location, the encoding, the newline type and the compression type.

Since the 3.20 version, `gtk_text_buffer_set_modified()` is called with `FALSE` if the file has been saved successfully.

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the file was saved successfully.